summaryrefslogtreecommitdiffstats
path: root/local/.bin/hornet/setup-inputs
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2023-10-08 12:09:20 -0400
committerJesse Luehrs <doy@tozt.net>2023-10-08 12:59:10 -0400
commit49570c8dd03448240897b37b68567352b790f16f (patch)
tree6c192a52046d5d0dd1b84a838befd8e777cfeafb /local/.bin/hornet/setup-inputs
parent66939c71da756c1d9e07a88a4a8ea2a018650060 (diff)
downloadconf-49570c8dd03448240897b37b68567352b790f16f.tar.gz
conf-49570c8dd03448240897b37b68567352b790f16f.zip
convert to stow
Diffstat (limited to 'local/.bin/hornet/setup-inputs')
-rwxr-xr-xlocal/.bin/hornet/setup-inputs18
1 files changed, 18 insertions, 0 deletions
diff --git a/local/.bin/hornet/setup-inputs b/local/.bin/hornet/setup-inputs
new file mode 100755
index 0000000..572feb1
--- /dev/null
+++ b/local/.bin/hornet/setup-inputs
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -eu
+set -o pipefail
+
+# key bindings
+setxkbmap -option ctrl:nocaps
+setxkbmap -option compose:caps
+xmodmap "$HOME"/.Xmodmap
+"$(dirname "$0")"/numkeys on
+
+# trackpad settings
+touchpad="$(xinput list --name-only | grep Touchpad)"
+xinput set-prop "$touchpad" "libinput Accel Speed" 0.4
+xinput set-prop "$touchpad" "libinput Tapping Enabled" 1
+
+# needs to happen after xmodmap stuff
+svre xcape
+svre xbindkeys